%global momorel 1
%global verdate 2004.06.14
Summary: LIVE.COM Streaming Media
Name: live
Version: 0.20040614
Release: %{momorel}m
URL: http://www.live.com/liveMedia/
Source0: http://www.live.com/liveMedia/public/live.%{verdate}.tar.gz
Patch0: live-2003.01.17-opt.patch
License: LGPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP and RTSP).

%package devel
Summary: LIVE.COM Streaming Media Development Tools
Group: Development/Libraries
Requires: live = %{version}-%{release}

%description devel
Development tools for the LIVE.COM Streaming Media libraries.

%package utils
Summary: LIVE.COM Streaming Media Utilities
Group: Development/Libraries
Requires: live = %{version}-%{release}

%description utils
A set of test programs for the LIVE.COM Streaming Media libraries.

%prep
%setup0 -q -n live
%patch0
find . -type f | xargs perl -pi -e's,strstream.h,strstream,'

%build
./genMakefiles linux
%make

%install
rm -rf %{buildroot}

for f in liveMedia UsageEnvironment groupsock BasicUsageEnvironment
do
	mkdir -p %{buildroot}%{_libdir}/live/$f/include
	cp $f/lib$f.a %{buildroot}%{_libdir}/live/$f
	cp $f/include/*.h* %{buildroot}%{_libdir}/live/$f/include
done

mkdir -p %{buildroot}%{_bindir}

for file in testMP3Streamer testMP3Receiver testRelay testMPEG1or2Splitter \
  testMPEG1or2VideoStreamer testMPEG1or2VideoReceiver testMPEG1or2AudioVideoStreamer \
  testMPEG4VideoStreamer testWAVAudioStreamer testAMRAudioStreamer \
  testOnDemandRTSPServer vobStreamer openRTSP playSIP sapWatch
do
  install -p testProgs/$file %{buildroot}%{_bindir}/
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README

%files devel
%defattr(-,root,root,-)
%{_libdir}/live

%files utils
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Wed Jun 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.20040614-1m)
- update and cancel NoSource

* Sat May 29 2004 Toru Hoshina <t@momonga-linux.org>
- (0.20040531-1m)
- import from paken.

* Fri Jan 31 2004 Takeru Komoriya <komoriya@paken.org>
- Repackaged based on live-2003.10.07-5.rhfc1.at

* Tue Oct  7 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Updated to 2003.10.07.

* Mon Apr  7 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Rebuilt for Red Hat 9.

* Thu Jan 23 2003 Jeffrey C. Ollie <jcollie@pc04771.dmacc.cc.ia.us>
- Updated to 2003.01.17
- Added test utilities
- Reorganized and formed into subpackages
- Patched to remove deprecated header warnings
- Patched makefiles to use RPM optimization flags

* Mon Aug 12 2002 Jeffrey C. Ollie <jcollie@pc04771.dmacc.cc.ia.us>
- Initial build.
